Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 813705 - [OSS] git push failed for jboss app in fedora_remixed.iso.
Summary: [OSS] git push failed for jboss app in fedora_remixed.iso.
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OKD
Classification: Red Hat
Component: Pod
Version: 2.x
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: ---
Assignee: Abhishek Gupta
QA Contact: libra bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-04-18 09:18 UTC by yquan
Modified: 2015-05-15 01:51 UTC (History)
3 users (show)

Fixed In Version: rhc-cartridge-jbossas-7-0.90.2-1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-04-27 20:47:04 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description yquan 2012-04-18 09:18:37 UTC
Description of problem:
It will prompt error messages when trying to do "git push" command in jboss appliction directory, and the application page is blank.

It will be successful if push with jenkins-client embedded.

Version-Release number of selected component (if applicable):
Fedora_remix.iso_2012_04_13
cartridge-jbossas-7-0.91.2-1.git.0.fc6aaf7.fc16.noarch

How reproducible:
Always

Steps to Reproduce:
1.Create an Jboss application in virtual machine launched from fedora_remixed.iso 
2.Make some changes in application.
3.Do git push command.
  
Actual results:
I will prompt the error message as below, and the application page is blank.

[error message]

remote: [ERROR] Plugin org.apache.maven.plugins:maven-clean-plugin:2.4.1 or one of its dependencies could not be resolved: Failed to read artifact descriptor for org.apache.maven.plugins:maven-clean-plugin:jar:2.4.1: Could not transfer artifact org.apache.maven.plugins:maven-clean-plugin:pom:2.4.1 from/to nexus (http://mirror1.prod.rhcloud.com:80/nexus/content/groups/public): Error transferring file: No route to host -> [Help 1]
remote: [ERROR] 
remote: [ERROR] To see the full stack trace of the errors, re-run Maven with the -e switch.
remote: [ERROR] Re-run Maven using the -X switch to enable full debug logging.
remote: [ERROR] 
remote: [ERROR] For more information about the errors and possible solutions, please read the following articles:
remote: [ERROR] [Help 1] http://cwiki.apache.org/confluence/display/MAVEN/PluginResolutionException
remote: Running .openshift/action_hooks/build


Expected results:
The "git push" command should be successful, and the application page is changed correctly.

Additional info:

Comment 1 Abhishek Gupta 2012-04-19 21:01:55 UTC
There were a couple of issues in the JBoss cartridge. One had to do with the nexus repository URL pointing to *.rhcloud.com and the other was incorrect setup of alternatives for maven (/etc/alternatives/maven-3.0).

The former URL issue was fixed by a change made by Troy Dawson, and I have fixed the other issue with the maven alternatives setup.

Comment 2 Johnny Liu 2012-04-24 09:39:13 UTC
Verified this bug with the latest fedora remix image (24-Apr-2012), and PASS.


Note You need to log in before you can comment on or make changes to this bug.